/*#io
Scheduler ioDoc(
docCopyright("Steve Dekorte", 2002)
docLicense("BSD revised")
*/

#ifndef IoScheduler_DEFINED 
#define IoScheduler_DEFINED 1

#include "IoObject.h"

#ifdef __cplusplus
extern "C" {
#endif

IoObject *IoScheduler_proto(void *state);

//IoObject *IoObject_coroutines(IoObject *self, IoObject *locals, IoMessage *m);
IoObject *IoObject_currentCoroutine(IoObject *self, IoObject *locals, IoMessage *m);
IoObject *IoObject_activeCoroutineCount(IoObject *self, IoObject *locals, IoMessage *m);
IoObject *IoObject_setSleepInterval(IoObject *self, IoObject *locals, IoMessage *m);
IoObject *IoObject_sleepInterval(IoObject *self, IoObject *locals, IoMessage *m);
IoObject *IoObject_scheduleNext(IoObject *self, IoObject *locals, IoMessage *m);

#ifdef __cplusplus
}
#endif
#endif
